Skip to content

Get Track Metadata from Providers

GET
/api/metadata/search/tracks
curl --request GET \
--url 'https://example.com/api/metadata/search/tracks?track=example'

Gets track results from all metadata providers. Send the header Accept: application/x-ndjson to get results as newline-delimited JSON, one line per provider as soon as it finishes: {"type":"result","service":"...","data":[...]} or {"type":"error","service":"...","error":{...}}, followed by a final {"type":"done"} line.

track
required
Any of:
string
/^(reid|tid|mbid|isrc|spotify):[\s\S]{0,}$/
artists

A list of plain artist strings associated with the track

Array<string>
album

A plain album name string associated with the track

string

Success